<?php

declare(strict_types=1);

namespace Rowlinson\Api\Responses\Basket;

use JMS\Serializer\Annotation as Serializer;

class ItemResponse
{
    /**
     * @Serializer\Type("string")
     */
    public ?string $sku = null;
    /**
     * @Serializer\Type("string")
     */
    public ?string $unitPrice = null;
    /**
     * @Serializer\Type("string")
     */
    public ?string $tax = null;
    /**
     * @Serializer\Type("string")
     */
    public ?string $totalPrice = null;
    /**
     * @Serializer\Type("int")
     */
    public int $quantity = 1;
}
